# $Revision: 1.84 $, $Date: 2009/05/09 07:13:26 $
#
# Conditional build:
%bcond_without	pdf	# don't use pdflib
#
Summary:	A program for plotting mathematical expressions and data
Summary(de.UTF-8):	GNU-Plotter-Paket
Summary(es.UTF-8):	Paquete para trazar gráficos
Summary(fr.UTF-8):	Le programme de traçage de courbe de GNU
Summary(hu.UTF-8):	Matematikai függvények és adatok ábrázolása
Summary(pl.UTF-8):	Program GNU do robienia wykresów
Summary(pt_BR.UTF-8):	Pacote para traçar gráficos
Summary(ru.UTF-8):	Программа для построения графиков математических выражений и данных
Summary(tr.UTF-8):	Matematiksel görselleştirme paketi
Summary(uk.UTF-8):	Програма для побудови графіків математичних виразів та даних
Name:		gnuplot
Version:	4.2.5
Release:	1
License:	distributable (with modifications properly marked if any)
Group:		Applications/Math
Source0:	http://dl.sourceforge.net/gnuplot/%{name}-%{version}.tar.gz
# Source0-md5:	85d042f8efd7aae3d9cbfd85b14d06d2
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-info.patch
Patch1:		%{name}-info_install.patch
URL:		http://gnuplot.sourceforge.net/
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
BuildRequires:	gd-devel
BuildRequires:	libpng-devel >= 1.0.8
BuildRequires:	libtool
BuildRequires:	ncurses-devel
%{?with_pdf:BuildRequires:	pdflib-devel}
BuildRequires:	readline-devel
BuildRequires:	texinfo
#BuildRequires:	xemacs-lisp-programming
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	zlib-devel
#or --without-lisp-files
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_datadir	%{_prefix}/share/misc

%description
Gnuplot is a command-line driven, interactive function plotting
program especially suited for scientific data representation. Gnuplot
can be used to plot functions and data points in both two and three
dimensions and in many different formats.

%description -l de.UTF-8
Das GNU-Plotting-Paket. Dient zur grafischen Ausgabe von Daten in
einem X-Fenster oder in eine Datei.

%description -l es.UTF-8
Este es el paquete GNU de ploteado. Se puede usar para crear gráficos
en X Window o para archivo.

%description -l fr.UTF-8
Paquetage de tracé de GNU. Il peut être utilisé pour faire des graphes
de données dans une fenêtre X ou vers un fichier.

%description -l hu.UTF-8
Gnuplot egy parancssor-vezérelt, interaktív függvényábrázoló program,
amely különösen alkalmas tudományos adatok megjelenítésére. A Gnuplot
alkalmas függvények és adathalmazok ábrázolására, kettő és három
dimenzióban, különféle formátumokban.

%description -l pl.UTF-8
GNU plot rysuje wykresy, które można drukować, zapisywać w pliku albo
oglądać w okienku X.

%description -l pt_BR.UTF-8
Este é o pacote GNU de plotagem. Pode ser usado para gerar gráficos em
X Window ou para arquivo.

%description -l ru.UTF-8
Gnuplot - это интерактивная программа построения графиков, управляемая
с командной строки. Gnuplot особенно хорошо подходит для презентации
научных данных и может применяться для отображения функций и данных в
2-х и 3-х измерениях и во многих различных форматах.

%description -l tr.UTF-8
Gnuplot, bir fonksiyonun ya da bir veri kümesinin grafiğinin elde
edilmesinde kullanılan, çok yetenekli bir görselleştirme aracıdır.

%description -l uk.UTF-8
Gnuplot - це інтерактивна програма побудови графіків, яка керується з
командного рядка. Gnuplot особливо гарно підходить для презентації
наукових даних та може застосовуватись для відображення функцій та
даних в 2-х та 3-х вимірах та в багатьох різних форматах.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoheader}
%{__autoconf}
%{__automake}

%configure \
	--with-readline=gnu \
	--enable-history-file \
	--with-png \
	--with-gd \
	--with-x \
	--without-lisp-files \
	--without-linux-vga \
	%{!?with_pdf:--without-pdf} \
	--without-tutorial

# The source tarball incorrectly includes a file that should not be there.
rm -f src/getcolor_x11.*

%{__make}
cd docs
makeinfo gnuplot.texi
cd ..

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_infodir},%{_desktopdir},%{_pixmapsdir}}

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc docs/psdoc/ps_guide.ps
%attr(755,root,root) %{_bindir}/gnuplot
%attr(755,root,root) %{_libdir}/%{name}
%{_mandir}/man1/gnuplot.1*
%{_datadir}/%{name}
%{_infodir}/gnuplot.info*
%{_desktopdir}/gnuplot.desktop
%{_pixmapsdir}/gnuplot.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnuplot.spec,v $
Revision 1.84  2009/05/09 07:13:26  uzsolt
- hungarizing

Revision 1.83  2009/05/03 14:09:49  areq
- 4.2.5 (by redstorm)

Revision 1.82  2009/02/24 21:23:55  draenog
- up to 4.2.4

Revision 1.81  2009/02/23 22:05:32  arekm
- release 2

Revision 1.80  2008/07/20 18:10:16  qboosh
- updated to 4.2.3

Revision 1.79  2008/01/24 01:23:00  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.78  2007-09-03 19:33:31  qboosh
- updated to 4.2.2

Revision 1.77  2007/03/31 23:56:18  arekm
- up to 4.2.0

Revision 1.76  2007/02/22 16:41:11  qrczak
- Cosmetics.

Revision 1.75  2007/02/21 22:45:21  qrczak
- Package ps_guide.ps
- Release 6

Revision 1.74  2007/02/13 07:16:47  glen
- tabs in preamble

Revision 1.73  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.72  2007/01/12 10:36:14  qboosh
- BR: ac 2.59-9 for AC_PATH_XTRA not requiring libXt

Revision 1.71  2007/01/08 14:08:21  vip
- s/XFree86-devel/xorg-lib-libX11-devel and adapterized
- Th ready

Revision 1.70  2006/11/07 22:25:04  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.69  2006/08/21 22:45:19  qboosh
- License is not GPL

Revision 1.68  2006/03/30 11:30:04  qboosh
- added bcond_without pdf

Revision 1.67  2005/09/17 10:29:16  arekm
- rebuild with readline 5.0

Revision 1.66  2005/01/08 16:13:00  qboosh
- BR: libpng-devel not libpng

Revision 1.65  2004/08/22 22:24:25  qboosh
- really release 3

Revision 1.64  2004/08/22 22:21:37  qboosh
- cleanup, release 3 (needs fixed gd-devel on amd64)

Revision 1.63  2004/06/19 12:22:55  gotar
- BR: gd-devel, --with-gd (new PNG library, GIF support),
- BR: pdflib-devel (PDF support),
- BR: texinfo,
- enabled history file,
- release 2.

Revision 1.62  2004/04/25 00:23:53  qboosh
- updated to 4.0.0

Revision 1.61  2004/03/31 20:58:46  grzegol
- updated to 3.8k.3

Revision 1.60  2004/03/14 16:39:28  grzegol
- updated to 3.8k.2

Revision 1.59  2004/02/29 18:49:20  grzegol
- updated to 3.8k.1

Revision 1.58  2004/02/21 18:36:30  grzegol
- updated to 3.8k.0

Revision 1.57  2003/12/10 18:08:48  grzegol
- _applnkdir -> _desktopdir; rel. 3

Revision 1.56  2003/09/12 23:19:04  grzegol
- added icon
- rel. 2

Revision 1.55  2003/08/06 23:50:57  grzegol
- updated to 3.8j.0
- added no_lisp patch
- updated %%files

Revision 1.54  2003/06/29 19:39:37  grzegol
- updated to 3.8i.0
- removed outdated acfix and round patches (already in sources)
- regenerate am/lt

Revision 1.53  2003/05/26 16:25:04  malekith
- massive attack: adding Source-md5

Revision 1.52  2003/05/25 05:48:17  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.51  2003/04/08 11:29:37  qboosh
- use http for sources from sourceforge

Revision 1.50  2002/12/04 11:54:11  roman
- added gnuplot.desktop to Scientific/Plotting applnk subdir
- changed Release from 5 to 6

Revision 1.49  2002/11/11 09:07:46  jajcus
- Release: 5 STBR
- fixed installation of info files - now all of them are installed.

Revision 1.48  2002/10/09 13:14:27  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.47  2002/08/06 09:02:44  wiget
- don't manualy install info files
- remove files not included in package
- release 4

Revision 1.46  2002/08/04 11:49:54  kloczek
- release 3: spec adapterized.

Revision 1.45  2002/08/04 11:37:51  qboosh
- working Source0 URL, killed subshell, removed libpng 1.2.2 hack

Revision 1.44  2002/08/03 22:46:29  kloczek
- updated to 3.7.2 (release 2),
- merge round patch from rawhide,
- removed outdated DESTDIR patch,
- merge translations from KSI.

Revision 1.43  2002/05/21 23:13:19  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.42  2002/04/28 09:43:25  qboosh
- acfix patch updated to work with autoconf 2.53
- linpng 1.2.2 support
- release 16

Revision 1.41  2002/04/25 16:27:44  arturs
fixed a small typo

Revision 1.40  2002/02/22 23:29:00  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.39  2002/01/30 18:38:14  alchemyx
- ugly words back again. sorry.

Revision 1.38  2002/01/29 02:55:46  alchemyx
- ugly words replaced with "?" ;-)

Revision 1.37  2002/01/18 02:13:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.36  2002/01/11 15:03:36  kloczek
- updated URL nad Source url.

Revision 1.35  2002/01/11 14:33:55  dobrek
- Now it will be really linked agains gnu-readline.
- realase ++
- Oh Fuck.

Revision 1.34  2001/12/26 14:03:03  mkochano
- Changed URI. gnuplot.org domain no longer contain gnuplot info.

Revision 1.33  2001/10/21 09:27:07  kloczek
- bump release to 14,
- new URL nad Source url,
- merge translations from CNV.

Revision 1.32  2001/10/20 19:21:23  qboosh
- release 12: acfix patch for autoconf 2.52

Revision 1.31  2001/10/03 15:05:56  qboosh
- BuildRequires: autoconf, automake

Revision 1.30  2001/07/26 05:42:08  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.28  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.27  2000/07/29 16:36:31  kloczek
- spec adapterized.

Revision 1.26  2000/07/28 13:57:35  zagrodzki
- release 11, built against libpng >= 1.0.8

Revision 1.25  2000/07/13 23:32:32  baggins
- release 10
- rebuild with ncurses 5.1

Revision 1.24  2000/07/13 21:45:37  kloczek
- release 9.

Revision 1.23  2000/07/13 20:41:25  baggins
- release 2

Revision 1.22  2000/06/09 07:54:41  kloczek
- more %%{__make} macros.

Revision 1.21  2000/06/09 07:22:52  kloczek
- added using %%{__make} macro.

Revision 1.20  2000/05/24 16:50:45  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.19  2000/05/20 13:53:44  kloczek
- spec adapterized.

Revision 1.18  2000/05/01 20:11:40  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.17  2000/04/01 11:14:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.16  2000/03/28 16:54:22  baggins
- translated kloczkish into english

Revision 1.15  1999/11/07 15:58:27  kloczek
- removed "BuildRequires: svgalib-devel" rule.

Revision 1.14  1999/11/07 15:52:34  kloczek
- updated to 3.7.1,
- removed libgd support because current libgd do not handle gif images and
  png images are handled eith using libpng,
- added installing info pages for gnuplot (this is a litle redundant because
  gnuplot have own help which content is info pages copy but info is more
  useful for reading),
- changed install prefix to /usr.

Revision 1.13  1999/11/07 13:05:47  klakier
added patch for gd
added --without-lisp-files  without-tutorial

Revision 1.12  1999/07/20 12:48:07  wiget
- switch to rpm 3.0.2

Revision 1.11  1999/07/12 23:05:57  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun Jan 24 1999 Artur Frysiak <wiget@usa.net>
  [3.7-1]
- changed Sources address
- changed URL address

* Sat Oct 17 1998 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [3.6beta347-2]
- changed way pass $RPM_OPT_FLAGS (as a configure eviroment variable).

* Mon Sep 28 1998 Marcin 'Qrczak' Kowalczyk <qrczak@knm.org.pl>
  [3.6beta347-1]
- changed Version / Release numbering scheme,
- use %{name} and %{version} macros,
- `mkdir -p' replaced with more standard `install -d',
- added full %attr description in %files,
- removed unnecessary empty %{_datadir}/gnuplot directory,
- added pl translation,
- fixed using $RPM_OPT_FLAGS.

* Fri Sep 11 1998 Jeff Johnson <jbj@redhat.com>
- update to 2.6beta347

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
